// Copyright (c) Mito
import React from 'react';
import '../../../css/suggestion-box.css';
/*
  The suggestion box suggests functions that you could be trying to
  type, beneath the cell editor.
*/
const SuggestionBox = (props) => {
    const selectedIndex = props.index % props.suggestions.length;
    const functionMatchesDivs = props.suggestions.map((suggestionObject, idx) => {
        const restOfSuggestion = suggestionObject.suggestion.substr(suggestionObject.match.length);
        if (idx === selectedIndex) {
            return (React.createElement("div", { key: suggestionObject.suggestion, onMouseEnter: () => props.onMouseEnterSuggestion(idx), onClick: () => { props.onSelectSuggestion(suggestionObject.match, restOfSuggestion, suggestionObject.type, suggestionObject.suggestion); } },
                React.createElement("div", { className: 'suggestion-box-selected-function' }, suggestionObject.suggestion),
                React.createElement("div", { className: 'suggestion-box-selected-description' }, suggestionObject.subtitle)));
        }
        else {
            return (React.createElement("div", { className: 'suggestion-box-function', key: suggestionObject.suggestion, onMouseEnter: () => props.onMouseEnterSuggestion(idx), onClick: () => { props.onSelectSuggestion(suggestionObject.match, restOfSuggestion, suggestionObject.type); } }, suggestionObject.suggestion));
        }
    });
    return (React.createElement("div", { className: 'suggestion-box-container' }, functionMatchesDivs));
};
export default SuggestionBox;
//# sourceMappingURL=SuggestionBox.js.map