// Copyright (c) Mito
import React from 'react';
// import css
import "../../../css/sheet-tab.css";
/*
    Displays a set of actions one can perform on a sheet tab, including
    deleting, duplicating, or renaming.
*/
export default function SheetTabActions(props) {
    const onDelete = async (e) => {
        // We stop this click from propagating, so that we don't call the callback 
        // that selects this sheet
        e.stopPropagation();
        // If we are deleting the sheet index that is currently selected & it is not sheetIndex 0, update the selected sheet index
        if (props.sheetIndex === props.selectedSheetIndex && props.selectedSheetIndex !== 0) {
            props.setSelectedSheetIndex(props.sheetIndex - 1);
        }
        await props.mitoAPI.sendDataframeDeleteMessage(props.sheetIndex);
        props.setCurrOpenSheetTabActions(undefined);
    };
    const onDuplicate = async () => {
        await props.mitoAPI.sendDataframeDuplicateMessage(props.sheetIndex);
        props.setCurrOpenSheetTabActions(undefined);
    };
    /* Rename helper, which requires changes to the sheet tab itself */
    const onRename = () => {
        props.setCurrOpenSheetTabActions(undefined);
        props.setIsRename(true);
    };
    return (React.createElement("div", { className: 'sheet-tab-actions-dropdown', style: { left: props.getLeftShift() } },
        React.createElement("div", { className: 'sheet-tab-action', onClick: onDelete }, "Delete"),
        React.createElement("div", { className: 'sheet-tab-action', onClick: onDuplicate }, "Duplicate"),
        React.createElement("div", { className: 'sheet-tab-action', onClick: onRename }, "Rename")));
}
//# sourceMappingURL=SheetTabActions.js.map