// Copyright (c) Mito
import React from 'react';
import { BOOLEAN_DROPDOWN_OPTIONS, CONDITIONS_WITH_NO_INPUT, DATETIME_DROPDOWN_OPTIONS, NUMBER_DROPDOWN_OPTIONS, STRING_DROPDOWN_OPTIONS } from './filterConditions';
// import css
import '../../../../../css/filter-card.css';
import { ColumnMitoType } from '../../../Mito';
/*
    
*/
export function Filter(props) {
    // We hide the input if it is not necessary
    const inputStyle = CONDITIONS_WITH_NO_INPUT.includes(props.filter.condition) ? { 'visibility': 'hidden' } : { 'visibility': 'visible' };
    return (React.createElement("div", { className: 'filter-object' },
        props.first &&
            React.createElement("div", { className: 'filter-where-label mr-10px' }, "Where"),
        !props.first &&
            React.createElement("select", { className: 'filter-select filter-operator mr-10px', value: props.operator, onChange: (e) => { props.setOperator(e.target.value); } },
                React.createElement("option", { value: 'And' }, "And"),
                React.createElement("option", { value: 'Or' }, "Or")),
        React.createElement("select", { className: 'filter-select filter-condition filter-object-item', value: props.filter.condition, onChange: (e) => {
                // We perform some unplesant type casting to keep the code
                // short here
                props.setFilter({
                    type: props.filter.type,
                    condition: e.target.value,
                    value: props.filter.value
                });
            } },
            props.filter.type === ColumnMitoType.BOOLEAN_SERIES && BOOLEAN_DROPDOWN_OPTIONS,
            props.filter.type === ColumnMitoType.STRING_SERIES && STRING_DROPDOWN_OPTIONS,
            props.filter.type === ColumnMitoType.NUMBER_SERIES && NUMBER_DROPDOWN_OPTIONS,
            props.filter.type === ColumnMitoType.DATETIME_SERIES && DATETIME_DROPDOWN_OPTIONS),
        React.createElement("input", { className: 'filter-select filter-value filter-object-item', style: inputStyle, type: props.filter.type === ColumnMitoType.DATETIME_SERIES ? 'date' : 'text', value: props.filter.value, onChange: e => {
                props.setFilter({
                    type: props.filter.type,
                    condition: props.filter.condition,
                    value: e.target.value
                });
            } }),
        React.createElement("div", { className: 'filter-object-item filter-close-button', onClick: () => props.deleteFilter() },
            React.createElement("svg", { width: "15", height: "15", viewBox: "0 0 13 13", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                React.createElement("line", { x1: "0.707107", y1: "1.29289", x2: "11.3136", y2: "11.8994", stroke: "#343434", strokeWidth: "2" }),
                React.createElement("line", { x1: "0.7072", y1: "11.8995", x2: "11.3137", y2: "1.29297", stroke: "#343434", strokeWidth: "2" })))));
}
//# sourceMappingURL=Filter.js.map