// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
import React from 'react';
import '../../../../css/nps.css';
/*
    Displays the net promotor score buttons that a user can click
*/
function NPS(props) {
    return (React.createElement("div", { className: 'nps-container', style: { border: props.border } }, [...Array(11).keys()].map((nps) => {
        const selected = nps === props.selectedNPS;
        const backgroundColor = selected ? 'var(--mito-blue)' : 'white';
        return (React.createElement("div", { className: 'nps-option', style: { backgroundColor: backgroundColor }, key: nps, onClick: () => {
                // We let you toggle the selection on and off
                if (selected) {
                    props.setSelectedNPS(undefined);
                }
                else {
                    props.setSelectedNPS(nps);
                }
            } },
            React.createElement("p", { className: 'm-auto' }, nps)));
    })));
}
export default NPS;
//# sourceMappingURL=NPS.js.map