// Copyright (c) Mito
import React from 'react';
import LargeSelect from '../../elements/LargeSelect';
// import css
import '../../../../css/merge-sheet-and-key-selection.css';
import { MergeSheet } from './MergeTaskpane';
/*
  A custom component that allows you to select a sheet from the list of
  possible sheets, as well as a column header from that sheet.
*/
const MergeSheetAndKeySelection = (props) => {
    const sheetNumStr = props.sheetNum == MergeSheet.First ? 'First' : 'Second';
    return (React.createElement("div", { className: 'merge-sheet-and-key' },
        React.createElement("div", null,
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' },
                sheetNumStr,
                " Sheet"),
            React.createElement(LargeSelect, { startingValue: props.dfNames[props.sheetIndex], key: props.sheetIndex, optionsArray: props.dfNames, setValue: (value) => {
                    const newSheetIndex = props.dfNames.indexOf(value);
                    props.setNewSheetIndex(newSheetIndex);
                } })),
        React.createElement("div", null,
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' }, "Merge Key"),
            React.createElement(LargeSelect, { startingValue: props.mergeKey, key: props.mergeKey, optionsArray: props.columnHeaders, setValue: (newMergeKey) => { props.setNewMergeKey(newMergeKey); } }))));
};
export default MergeSheetAndKeySelection;
//# sourceMappingURL=MergeSheetAndKeySelection.js.map