// Copyright (c) Mito
import React from 'react';
import PivotTableColumnHeaderCard from './PivotTableColumnHeaderCard';
import { SelectionOperation } from './PivotTaskpane';
// import css
import '../../../../css/pivot-table-key-selection.css';
import SmallSelect, { TitleColor } from '../../elements/SmallSelect';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableKeySelection = (props) => {
    const pivotTableColumnHeaderCards = [];
    for (const columnHeader of props.selectedColumnHeaders) {
        pivotTableColumnHeaderCards.push((React.createElement(PivotTableColumnHeaderCard, { key: columnHeader, columnHeader: columnHeader, editColumnKeySelection: props.editKeySelection, keyType: props.keyType })));
    }
    /*
      Function passed to the SmallSelect so that when the user selects a
      key to add, it can communicate the addition to the pivot table state

      Note: we use this wrapper around the editColumnKeySelection function so that
      we can conform with the interface of the SmallSelect whose setValue function
      only takes a string as a param
    */
    function selectColumnHeader(columnHeader) {
        props.editKeySelection(props.keyType, columnHeader, SelectionOperation.ADD);
    }
    return (React.createElement("div", null,
        React.createElement("div", { className: 'pivot-taskpane-section-header-div' },
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' }, props.sectionTitle),
            React.createElement(SmallSelect, { startingValue: 'add', optionsArray: props.selectableColumnHeaders, setValue: selectColumnHeader, titleColor: TitleColor.BLUE })),
        pivotTableColumnHeaderCards));
};
export default PivotTableKeySelection;
//# sourceMappingURL=PivotTableKeySelection.js.map