// Copyright (c) Mito
import React from 'react';
import { AggregationType, SelectionOperation } from './PivotTaskpane';
import SmallSelect, { TitleColor } from '../../elements/SmallSelect';
import PivotTableValueAggregationCard from './PivotTableValueAggregationCard';
// import css
import '../../../../css/pivot-table-key-selection.css';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableValueSelection = (props) => {
    // TODO: Put these in order of selection so that the new one is at the top so that the user can easily change its aggregation method
    const PivotTableValueAggregationCards = [];
    for (const columnHeader of Object.keys(props.aggregatedValuesInSection)) {
        PivotTableValueAggregationCards.push((React.createElement(PivotTableValueAggregationCard, { key: columnHeader, columnHeader: columnHeader, aggregationType: props.aggregatedValuesInSection[columnHeader], editValueAggregationSelection: props.editValueAggregationSelection })));
    }
    // get column headers that are not yet aggregated
    const selectableColumnHeaders = props.columnHeaders.filter(x => !Object.keys(props.aggregatedValuesInSection).includes(x));
    /*
      Function passed to the SmallSelect so that when the user selects a
      key to add, it can communicate the addition to the pivot table state

      Note: we use this wrapper around the editColumnKeySelection function so that
      we can conform with the interface of the SmallSelect whose setValue function
      only takes a string as a param
    */
    function addAggregatedValue(columnHeader) {
        props.editValueAggregationSelection(columnHeader, SelectionOperation.ADD, AggregationType.COUNT);
    }
    return (React.createElement("div", null,
        React.createElement("div", { className: 'pivot-taskpane-section-header-div' },
            React.createElement("p", { className: 'default-taskpane-body-section-title-text' }, "Values"),
            React.createElement(SmallSelect, { startingValue: 'add', optionsArray: selectableColumnHeaders, setValue: addAggregatedValue, titleColor: TitleColor.BLUE })),
        PivotTableValueAggregationCards));
};
export default PivotTableValueSelection;
//# sourceMappingURL=PivotTableValueSelection.js.map